Subject: Re: LIB_DEPENDS
To: Todd Vierling <>
From: Alistair Crooks <>
List: tech-pkg
Date: 08/04/1998 00:48:47
> May I nuke the LIB_DEPENDS support from and have it error
> out the Makefile?  This is obviously very broken on NOPIC systems, and
> is officially not supported any more.

Please do. I *think* I left the old support in there until I got rid of
all the LIB_DEPENDS in the pkgsrc tree, but just forgot to delete it
after that.  Whatever, it should go - NOPIC, and ELF systems will fail
otherwise, as you note.

> (Realized all this when putting in a fix for xpdf on ELF, which still
> had the FreeBSD comment lines and the LIB_DEPENDS construct.)

Yuck. And I thought xpdf was a fairly recent addition, too. Now where's
my whip?